Bug 146660 - [PATCH] net-mgmt/zabbix-server: broken ssh2 support
Summary: [PATCH] net-mgmt/zabbix-server: broken ssh2 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-17 12:50 UTC by alex.deiter
Modified: 2010-06-05 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (617 bytes, patch)
2010-05-17 12:50 UTC, alex.deiter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alex.deiter 2010-05-17 12:50:01 UTC
Port zabbix-server has broken ssh2 support:

# make showconfig
===> The following configuration options are available for zabbix-server-1.8.2_1,2:
     MYSQL=off "Use MySQL backend"
     PGSQL=on "Use PostgreSQL backend"
     SQLITE=off "Use SQLite backend"
     IPV6=off "Support for IPv6"
     LDAP=on "Support for checking LDAP servers"
     JABBER=on "Use jabber media type"
     FPING=on "Use fping for pinging hosts"
     SSH=on "Use libssh2 for SSH-based checks"

# make configure
..
checking for SSH2 support... test: xyes: unexpected operator
..

# make install

# /usr/local/etc/rc.d/zabbix_server start


   761:20100517:143725.180 Starting Zabbix Server. Zabbix 1.8.2 (revision 11211).
   761:20100517:143725.181 **** Enabled features ****
   761:20100517:143725.181 SNMP monitoring:       YES
   761:20100517:143725.181 IPMI monitoring:       YES
   761:20100517:143725.181 WEB monitoring:        YES
   761:20100517:143725.181 Jabber notifications:  YES
   761:20100517:143725.181 ODBC:                   NO
   761:20100517:143725.181 SSH2 support:           NO
   761:20100517:143725.181 IPv6 support:           NO
   761:20100517:143725.181 **************************

Fix: Please review attached patch

Patch attached with submission follows:
How-To-Repeat: # cd /usr/ports/net-mgmt/zabbix-server/ && make install
Comment 1 Edwin Groothuis freebsd_committer 2010-05-17 12:50:09 UTC
Maintainer of net-mgmt/zabbix-server,

Please note that PR ports/146660 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146660

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-05-17 12:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 alex.deiter 2010-05-18 11:12:50 UTC
Hi,

Patch already apply to zabbix pre-1.8.3 in r12048:

https://support.zabbix.com/browse/ZBX-2438

--
Alex Deiter
Comment 4 dfilter service freebsd_committer 2010-06-05 20:29:19 UTC
miwi        2010-06-05 19:26:08 UTC

  FreeBSD ports repository

  Added files:
    net-mgmt/zabbix-server/files patch-configure 
  Log:
  - Fix ssh2 support
  
  PR:             146660
  Submitted by:   Alex Deiter <alex.deiter@gmail.com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.1       +23 -0     ports/net-mgmt/zabbix-server/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2010-06-05 20:30:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!